module Marksman
  class Theme
    include Equality

    def initialize(name)
      @name = name
    end

    def path
      @path ||= if File.directory?(@name)
                  Pathname.new @name
                else
                  Pathname.new(File.dirname(__FILE__))
                    .join('../../')
                    .join('themes')
                    .join(@name)
                end
    end

  end
end
