module Marksman
  class Writer

    def initialize(file, output_directory, theme = nil)
      @file = file
      @output_directory = output_directory
      @theme = theme
    end

    def generate
      presentation = Marksman::Parser.new.parse(@file)
      presentation.theme = Theme.new(@theme) if @theme
      Marksman::Converter.new(presentation).write(@output_directory)
      presentation
    end

  end
end
