module Marksman
  module Equality

    def == (other)
      self.class == other.class && self.attributes == other.attributes
    end

    def attributes
      Hash[instance_variables.map do |attribute|
        [attribute, instance_variable_get(attribute)]
      end]
    end

  end
end
